#ifndef GAMEPADMONITOR_H
#define GAMEPADMONITOR_H

#include <QObject>
#include <QtGamepad/QGamepad>


class GamepadMonitor : public QObject
{
    Q_OBJECT
public:
    explicit GamepadMonitor(QObject *parent = nullptr);
    ~GamepadMonitor();

    bool isGamepadConnected();

    float getRoll();
    float getYaw();
    float getPitch();
    float getThrust();
    void configureAxis(QString axisName);
    void resetConfig();


private:
    QGamepad *m_gamepad;
    QGamepadManager *m_gamepadManager;

    float rollScale;
    float pitchScale;
    float yawScale;
    float thrustScale;

signals:
    void gamepadConnected();
    void gamepadDisconnected();
public slots:
    void gamepadConnectedHandler(int deviceId);
    void gamepadDisconnectedHandler(int deviceId);
};

#endif // GAMEPADMONITOR_H
